//! Retrix is a matrix client
#![warn(
	missing_docs,
	missing_debug_implementations,
	trivial_casts,
	trivial_numeric_casts,
	unused_extern_crates,
	unused_allocation,
	unused_qualifications
)]

use config::Config;
use iced::{Application, Settings};
use ui::Flags;

use crate::{config::Session, ui::Retrix};

extern crate directories as dirs;

pub mod config;
pub mod ui;

fn main() {
	let session = Session::from_file().unwrap();
	let config = Config::from_file().unwrap();
	let settings =
		Settings { text_multithreading: true, ..Settings::with_flags(Flags { config, session }) };
	Retrix::run(settings).unwrap();
}
